# Enum FileChangeWatcher.State

java.lang.Object
java.lang.Enum<FileChangeWatcher.State>
org.apache.zookeeper.common.FileChangeWatcher.State

All Implemented Interfaces:
  `Serializable, Comparable<FileChangeWatcher.State>`

Enclosing class:
  `FileChangeWatcher`

public static enum FileChangeWatcher.State extends Enum<FileChangeWatcher.State>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NEW`
`RUNNING`
`STARTING`
`STOPPED`
`STOPPING`

## Method Summary

Modifier and Type
Method
Description
`static FileChangeWatcher.State`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static FileChangeWatcher.State[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NEW

public static final FileChangeWatcher.State NEW

### STARTING

public static final FileChangeWatcher.State STARTING

### RUNNING

public static final FileChangeWatcher.State RUNNING

### STOPPING

public static final FileChangeWatcher.State STOPPING

### STOPPED

public static final FileChangeWatcher.State STOPPED

## Method Details

### values

public static FileChangeWatcher.State[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static FileChangeWatcher.State valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null